<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Buzz_Agency
 */

get_header(); ?>
<div class="container">
	
	<div class="row">

		<?php
			
			global $post;

			$buzz_agency_sidebar = get_theme_mod('buzz_agency_archive_setting_sidebar_option','right-sidebar');
			$buzz_agency_custom_class = 'custom-col-8';
			if( 'no-sidebar' == $buzz_agency_sidebar ){
				$buzz_agency_custom_class = 'custom-col-12';
			} elseif ( 'both-sidebar' == $buzz_agency_sidebar ) {
				$buzz_agency_custom_class = 'custom-col-4';
			}else{
				$buzz_agency_custom_class = 'custom-col-8';
			}
			
			if($buzz_agency_sidebar=='both-sidebar' || $buzz_agency_sidebar=='left-sidebar'){
				get_sidebar('left');
			} 

			if($buzz_agency_sidebar=='both-sidebar' || $buzz_agency_sidebar=='right-sidebar'){
				get_sidebar();
			}
		?>

		<div id="primary" class="content-area  <?php echo esc_attr( $buzz_agency_custom_class );?> ">
			
			<main id="main" class="site-main">

				<?php if ( have_posts() ) : ?>

					<header class="page-header">
						<?php
							the_archive_title( '<h1>', '</h1>' );
							the_archive_description( '<div class="archive-description">', '</div>' );
						?>
					</header><!-- .page-header -->

					<?php
					/* Start the Loop */
					while ( have_posts() ) :
						the_post();

						/*
						 * Include the Post-Type-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
						 */
						get_template_part( 'template-parts/content', get_post_type() );

					endwhile;

					do_action( 'buzz_agency_action_navigation' );

				else :

					get_template_part( 'template-parts/content', 'none' );

				endif;
				?>

			</main><!-- #main -->
		</div><!-- #primary -->

	</div>
	
</div>
<?php get_footer(); ?>
